Summary:	D-Bus service for applications to request thumbnails
Summary(pl.UTF-8):	Serwis D-Bus do udostępniania miniaturek
Name:		tumbler
Version:	4.18.0
Release:	1
License:	GPL v2
Group:		Applications/Graphics
Source0:	https://archive.xfce.org/src/xfce/tumbler/4.18/%{name}-%{version}.tar.bz2
# Source0-md5:	ffe40a16548e524bb50cfdf9267f38a7
URL:		https://www.xfce.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	curl-devel >= 7.25
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	ffmpegthumbnailer-devel >= 2.0.0
BuildRequires:	freetype-devel >= 2
BuildRequires:	gdk-pixbuf2-devel >= 2.36.2
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgepub-devel
BuildRequires:	libgsf-devel >= 1.14.9
BuildRequires:	libjpeg-devel
BuildRequires:	libopenraw-gnome-devel >= 0.1.0
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libtool >= 2:2.4
BuildRequires:	libxfce4util-devel >= 4.18.0
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.12.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus >= 1.0.0
Requires:	ffmpegthumbnailer >= 2.0.0
Requires:	gdk-pixbuf2 >= 2.36.2
Requires:	libgsf >= 1.14.9
Requires:	libopenraw-gnome >= 0.1.0
Requires:	poppler-glib >= 0.12.0
Provides:	dbus(org.xfce.Tumbler.Cache1.service)
Provides:	dbus(org.xfce.Tumbler.Manager1.service)
Provides:	dbus(org.xfce.Tumbler.Thumbnailer1.service)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-Bus service for applications to request thumbnails.

%description -l pl.UTF-8
Serwis D-Bus do udostępniania miniaturek.

%package libs
Summary:	Tumbler shared library
Summary(pl.UTF-8):	Biblioteka tumbler
Group:		Libraries

%description libs
Tumbler shared library.

%description libs -l pl.UTF-8
Biblioteka tumbler.

%package devel
Summary:	Header files for tumbler library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tumbler
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for tumbler library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tumbler.

%package apidocs
Summary:	tumbler API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki timpler
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
tumpler API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki tumbler.

%prep
%setup -q

%build
install -d m4
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-debug=minimum \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/tumbler-1/plugins/{cache,}/*.la

# unify
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}
# not supported (as of glibc 2.32)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/hye

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%dir /etc/xdg/tumbler
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/tumbler/tumbler.rc
%dir %{_libdir}/tumbler-1
%dir %{_libdir}/tumbler-1/plugins
%dir %{_libdir}/tumbler-1/plugins/cache
%attr(755,root,root) %{_libdir}/tumbler-1/tumblerd
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/cache/tumbler-cache-plugin.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/cache/tumbler-xdg-cache.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-cover-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-desktop-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-ffmpeg-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-font-thumbnailer.so
# temporary (?) problems with libarchive
#%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-gepub-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-gst-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-jpeg-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-odf-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-poppler-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-raw-thumbnailer.so
%{_datadir}/dbus-1/services/org.xfce.Tumbler.*.service
%{systemduserunitdir}/tumblerd.service
%{_iconsdir}/hicolor/32x32/apps/org.xfce.tumbler.png

%files libs -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtumbler-1.so.0.0.0
%attr(755,root,root) %ghost %{_libdir}/libtumbler-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtumbler-1.so
%{_includedir}/tumbler-1
%{_pkgconfigdir}/tumbler-1.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/tumbler
%changelog
* Fri Dec 16 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tumbler.git;a=log;h=master

* Fri Dec 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 604acd2
- up to 4.18.0

* Fri Aug 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2d29c4e
- up to 4.16.1, enabled epub thumbnails support

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 83aca17
- unconditional noarch subpackages

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 570678c
- up to 4.16.0

* Mon Oct 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 6ee3241
- drop hye locale; release 2

* Sun Oct 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 5cfa17c
- updated to 0.3.0
- added libopenraw0.2 patch (support also libopenraw 0.2.x)

* Thu Aug 06 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2f2a5cf
- up to version 0.2.9

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> 1fc03aa
- up tp version 0.2.8

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 5920d7b
- up to 0.2.7

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> bea73b8
- removed obsolete patch

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 624ad6a
- up to 0.2.1

* Mon Dec 12 2016 Jakub Bogusz <qboosh@pld-linux.org> f2770ee
- added libopenraw patch (adjust for libopenraw 0.1.x)
- release 4

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> cfa6848
- rebuild auto* for as-needed to work (to avoid propagating dozens of curl dependencies)
- updated dependencies
- release 3

* Tue Mar 29 2016 Jan Rękorajski <baggins@pld-linux.org> b848e2a
- release 2 (by relup.sh)

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> b96ac05
- up to 0.1.31

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 5592b21
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> f259223
- libffi rebuild
- release 3 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a4de2ec
- release 2 (by relup.sh)

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 1681e66
- up to 0.1.30

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 785a2f3
- noarch apidocs

